import 'package:flutter/material.dart';

void main() => runApp(const LibraryApp());

class LibraryApp extends StatelessWidget {
  const LibraryApp({Key? key}) : super(key: key);

  static const String _title = 'Library App';

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      color: Colors.orange,
      title: _title,
      home: Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(title: const Text(_title), backgroundColor: Colors.orange,),
        body: const LibraryStatefulWidget(),
      ),
    );
  }
}

class LibraryStatefulWidget extends StatefulWidget {
  const LibraryStatefulWidget({Key? key}) : super(key: key);

  @override
  State<LibraryStatefulWidget> createState() => _LibraryStatefulWidgetState();
}

class _LibraryStatefulWidgetState extends State<LibraryStatefulWidget> {

  @override
  Widget build(BuildContext context) {
    return Padding(
        padding: const EdgeInsets.all(10),
        child: ListView(
          children: <Widget>[
            Container(
                alignment: Alignment.center,
                padding: const EdgeInsets.all(10),
                child: const Text(
                  'Library App',
                  style: TextStyle(
                      color: Colors.blue,
                      fontWeight: FontWeight.w500,
                      fontSize: 30),
                ))
          ],
        ));
  }
}
